Bug 199949 - VirtualBox broke remote build in System Level File Sharing mode
VirtualBox broke remote build in System Level File Sharing mode
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0.1
PC Solaris
: P2 (vote)
: 7.0.1
Assigned To: Vladimir Kvashin
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 13:49 UTC by soldatov
Modified: 2011-09-26 13:35 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-07-07 13:49:43 UTC
Scenario on my Solaris 11 machine:
- Launch NetBeans 7.0.1
- Add some remote host and select System Level File Sharing mode
- Create Welcome project on remote host
- Build project
==> "Preparing build" window appears, but it doesn't disappear (build hangs)

Close IDE and check machine state on remote host
bash$ ps -ef
.....
zzzzzzz 16719 16665   0 17:30:57 ?           0:00 test -d /net/111.111.11.11
.....

111.111.11.11 is invalid IP address. This network are created by VirtualBox. This IP is valid on my machine only.

ifconfig on my machine:
bash-4.0$ /sbin/ifconfig -a
lo0: xxxx inet 127.0.0.1 yyyy 
vboxnet0: xxx inet 111.111.11.11 yyy
yge0: xxx  inet 222.222.22.22 yyy
lo0: xxx

P.S. 
ls /net/111.111.11.11 hangs in console too
Comment 1 Vladimir Kvashin 2011-07-11 12:51:32 UTC
I was finally able to reproduce this on the same machine it was discovered by reporter - but in my case remote command did not hang, and after a minute or so path mapper dialog appeared.

I guess reporter used other machine as remote one, and on that machine 
"test -d /net/xxx/export", where xxx is an invalid address, hangs.
Comment 2 Vladimir Kvashin 2011-07-11 12:55:29 UTC
Here are technical details

On reporter's machine vboxnet0 pseudo network interface is listed before real ones.This makes IDE think that this address (111.111.11.11) is local machine IP (see HostMappingProviderUnixAbstract.getIP() method).

When path mapper initializes, it tries to find mappings automatically, launches "test -d /net/111.111.11.11/export" on remote machine. The command hangs.

What is incorrect here is that no timeout occurs and build just runs forever instead of stopping this automatic mapping discovery by some not very big (10 sec?) timeout. Working with "/net/..." can be very slow, we definitely need this timeout (on IDE side)
Comment 3 soldatov 2011-07-11 13:11:49 UTC
-bash-3.2$ time test -d /net/111.111.11.11/export

real    8m23.226s
user    0m0.000s
sys     0m0.003s
Comment 4 Vladimir Kvashin 2011-07-11 13:35:51 UTC
And sure, getting local host IP is not correct as well. It should be done via just InetAddress.getLocalHost().getHostAddress(), not via getting 1-st non-loopback adapter.
Comment 5 Alexander Pepin 2011-07-13 13:31:02 UTC
It's not a stopper for 7.0.1.
Comment 7 Quality Engineering 2011-07-20 13:57:40 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/e339a575ed0c
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Get correct IP - fixing #199949 - VirtualBox broke remote build in System Level File Sharing mode
Comment 8 dnikitin 2011-08-12 15:39:20 UTC
Verified on reporter's machine in NetBeans IDE Dev (Build cnd-build-trunk-291-on-20110812)
Comment 9 Alexander Simon 2011-08-15 10:49:17 UTC
Fix transplanted to release701_fixes on elif:
e339a575ed0c transplanted to a57d15463b37
58e4859cd6a2 transplanted to 7243c1c0b56f
Comment 10 soldatov 2011-08-22 11:32:44 UTC
Verified in NetBeans IDE 7.0.1 (Build oss-platform-build-25-on-20110819)
Comment 11 Alexander Simon 2011-08-24 11:33:46 UTC
integrated in release701_fixes:
a57d15463b37 transplanted to d2c52ffae4a1
7243c1c0b56f transplanted to 724159c94a9d
Comment 12 Quality Engineering 2011-08-25 04:26:46 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/d2c52ffae4a1
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Get correct IP - fixing #199949 - VirtualBox broke remote build in System Level File Sharing mode
(transplanted from a57d15463b3713c03de30bc8096bf5ccf6953aac)
Comment 13 soldatov 2011-08-29 08:54:42 UTC
verified
Comment 14 Quality Engineering 2011-09-26 13:35:47 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/a57d15463b37
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Get correct IP - fixing #199949 - VirtualBox broke remote build in System Level File Sharing mode


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo